﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace MemoryGame
{
    public partial class Form1 : Form
    {
        private Button[,] buttons = new Button[6, 6];
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Random random = new Random();
            Color color = Color.FromArgb(255, random.Next(0, 255), random.Next(0, 255), random.Next(0, 255));
            int i = 0;
            for (int row = 0; row < 6; row++)
            {
                for (int column = 0; column < 6; column++)
                {
                    Card newButton = new Card();
                    newButton.Width = groupBox1.Width / 6;
                    newButton.Height = groupBox1.Height / 6;
                    newButton.Top = row * groupBox1.Height / 6;
                    newButton.Left = column * groupBox1.Width / 6;


                    buttons[row, column] = newButton;
                    groupBox1.Controls.Add(newButton);
                    newButton.OtherColor = color;
                    newButton.Click += new System.EventHandler(button_Click);
                    
                    i++;
                    if (i % 2 == 0)
                    {
                        color = Color.FromArgb(255, random.Next(0, 255), random.Next(0, 255), random.Next(0, 255));
                    }
                }
            }
        }

        private void button_Click(object sender, EventArgs e)
        {
            Card button = (Card)sender;
            //MessageBox.Show(button.Top.ToString());
            button.BackColor = button.OtherColor;

        }

    }
}
